# SSH

Use only one user `sshlogin` for logins to the server.
Switch to your main user with `su - adminuser` afterwards.

```sh
sudo sed -i '$ a sshlogin:x:1001:65534::/home/sshlogin:/bin/sh' /etc/passwd
sudo sed -i '$ r sshd_config' /etc/ssh/sshd_config

sudo mkdir -p /home/sshlogin/.ssh
sudo chown sshlogin:root /home/sshlogin/.ssh
```

* Either create a password with `sudo passwd sshlogin` or
* Add a key `sudo -u sshlogin editor /home/sshlogin/.ssh/authorized_keys`
