# Restic backups

Download binary:
https://github.com/restic/restic/releases/latest

```sh
REPO=sftp:backup-user@example.com:repo

bunzip2 restic*.bz2
sudo cp restic* /usr/local/bin/restic

echo 'nice /usr/local/bin/restic -r' "$REPO" '-p /root/backup-key "$@"' | sudo tee /root/restic-cmd
sudo chmod +x /root/restic-cmd

cat /dev/urandom | base64 | head -c 64 | sudo tee /root/backup-key
sudo chmod 600 /root/backup-key

sudo /root/restic-cmd init
sudo crontab crontab
```
